GET {{baseURL}}/v2/applications
This endpoint lists the merchant applications the partner initiated.
The newest application number is listed first. The applicationStatus field shows where each application stands in onboarding. The application lifecycle webhooks report the individual events that move an application between statuses.
See Also:
To create an application, see POST /v2/applications.
Specifies the page number of the returned search results.
A page is considered each set of the pageSize values.
The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.
Value restrictions include:
- A value less than zero is not permitted.
- Values equal to or greater than
totalPagesend successfully but will not return any items.
For page size information, see pageSize.
Example: 0
Specifies the number of items for each page of the returned search results.
A page is considered each set of the pageSize values.
The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.
For page numbering information, see pageIndex.
Example: 50
Specifies the application status to filter the applications by.
Valid values are:
| Value | Meaning |
|---|---|
| Active | Approved. The merchant can process payments. |
| AutoDeclined | Declined automatically. The merchant did not answer an information request in time. |
| Cancelled | Withdrawn or removed before completion. Canceled applications are returned only when this value is Cancelled. |
| InformationNeeded | Waiting on the merchant. Additional information or documents are required before the review continues. |
| InProgress | Started but not submitted. The merchant, or a partner or agent on the merchant's behalf, has not yet submitted or signed the application. |
| InReview | Submitted and under review. No additional information is currently required from the merchant. |
| Rejected | Declined. The application will not move forward. |
Example: InReview
Specifies the earliest created date to filter the applications by.
This value is inclusive. The createdFrom value is inclusive. The createdTo value is exclusive. For example, the month of June 2026 is createdFrom=2026-06-01 and createdTo=2026-07-01.
Setting both createdFrom and createdTo creates a date range. For example:
createdFrom: 2026-06-13createdTo: 2027-03-25
A date-time value (in an ISO 8601 UTC format) is also accepted.
Examples:
2026-06-17
2026-06-17T14:37:22.418Z
Specifies the created date to filter the applications before.
This value is exclusive. The createdFrom value is inclusive. The createdTo value is exclusive. For example, the month of June 2026 is createdFrom=2026-06-01 and createdTo=2026-07-01.
Pass the day after the last day to include.
A date-time value (in an ISO 8601 UTC format) is also accepted.
Setting both createdFrom and createdTo creates a date range. For example:
createdFrom: 2026-06-13createdTo: 2027-03-25
The value must not be earlier than createdFrom.
Examples:
2027-03-13
2027-03-13T09:26:51.183Z
- Sandbox environmenthttps://sandbox.api.flute.com/v2/applications
- Production environmenthttps://api.flute.com/v2/applications
GET /v2/applications?pageIndex=0&pageSize=20&applicationStatus=InReview&createdFrom=2026-06-01&createdTo=2026-07-01 HTTP/1.1
Host: sandbox.api.flute.com
Authorization: Bearer <YOUR_JWT_HERE>
Accept: application/jsonOK
Indicates an object describing the pagination status.
If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:
- A value less than zero is not permitted.
- Values equal to or greater than
totalPagesend successfully but will not return any items.
Indicates every response field.
Each item shows every application field.
The pageInfo structure shows every pagination field.
{ "items": [ { "id": "8e3b1c5a-2f4d-4a6b-9c7e-1d2f3a4b5c6d", "applicationNumber": 4711, "businessName": "Corner Coffee", "mid": "932129304958123", "merchantId": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "processor": "Processor Name", "sponsor": "Sponsor Bank Name", "partner": "Acme Partners", "partnerUser": { "firstName": "Ada", "lastName": "Lovelace" }, "applicationStatus": "Active", "applicationStatusStartedAt": "2026-06-22T16:30:00.000Z", "createdOn": "2026-06-15T10:00:00.000Z", "invitedBy": "Jane Doe", "sentAt": "2026-06-15T10:05:00.000Z", "metadata": { "locationId": "loc_00441" } } ], "pageInfo": { "pageIndex": 0, "pageSize": 20, "totalItems": 1, "totalPages": 1, "hasMore": false } }